ToParentBlockJoinQuery.ScoreMode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.join.ToParentBlockJoinQuery.ScoreMode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.search.join
Enum ToParentBlockJoinQuery.ScoreMode

    java.lang.Object
      java.lang.Enum<ToParentBlockJoinQuery.ScoreMode>
          org.apache.lucene.search.join.ToParentBlockJoinQuery.ScoreMode

All Implemented Interfaces:
  Serializable, Comparable<ToParentBlockJoinQuery.ScoreMode>

Enclosing class:
  ToParentBlockJoinQuery

    public static enum ToParentBlockJoinQuery.ScoreMode

extends Enum<ToParentBlockJoinQuery.ScoreMode>

How to aggregate multiple child hit scores into a single parent score.

Enum Constant Summary
`Avg` Parent hit's score is the average of all child scores.
`Max` Parent hit's score is the max of all child scores.
`None` Do no scoring.
`Total` Parent hit's score is the sum of all child scores.

Method Summary
`static ToParentBlockJoinQuery.ScoreMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ToParentBlockJoinQuery.ScoreMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final ToParentBlockJoinQuery.ScoreMode None

  Do no scoring.

### Avg

    public static final ToParentBlockJoinQuery.ScoreMode Avg

  Parent hit's score is the average of all child scores.

### Max

    public static final ToParentBlockJoinQuery.ScoreMode Max

  Parent hit's score is the max of all child scores.

### Total

    public static final ToParentBlockJoinQuery.ScoreMode Total

  Parent hit's score is the sum of all child scores.

Method Detail

### values

    public static final ToParentBlockJoinQuery.ScoreMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ToParentBlockJoinQuery.ScoreMode c : ToParentBlockJoinQuery.ScoreMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ToParentBlockJoinQuery.ScoreMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD